# LogLevel

enum LogLevel : Enum < KavaRefRuntime.LogLevel >

Log levels for KavaRef.

#### Parameters

levelName

the name of the log level.

## Entries

DEBUG
Link copied to clipboard
DEBUG

DEBUG

INFO
Link copied to clipboard
INFO

INFO

WARN
Link copied to clipboard
WARN

WARN

ERROR
Link copied to clipboard
ERROR

ERROR

OFF
Link copied to clipboard
OFF

OFF (Turn off logging)

## Properties

entries
Link copied to clipboard
val entries : EnumEntries < KavaRefRuntime.LogLevel >

Returns a representation of an immutable list of all enum entries, in the order they're declared.

levelName
Link copied to clipboard
val levelName : String
name
Link copied to clipboard
val name : String
ordinal
Link copied to clipboard
val ordinal : Int

## Functions

valueOf
Link copied to clipboard
fun valueOf (value: String ): KavaRefRuntime.LogLevel

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
fun values (): Array < KavaRefRuntime.LogLevel >

Returns an array containing the constants of this enum type, in the order they're declared.